Bug 47470 - [cairo] Typo in determining fixed width fonts
Summary: [cairo] Typo in determining fixed width fonts
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Holger Freyther
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-10 10:12 PDT by Holger Freyther
Modified: 2010-10-14 10:25 PDT (History)
2 users (show)

See Also:


Attachments
Attempt to fix it... (2.06 KB, patch)
2010-10-10 10:17 PDT, Holger Freyther
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Freyther 2010-10-10 10:12:59 PDT
FontPlatformDataFreeType.cpp appears to have a thinko. It is mostly meant to use a '&' instead of a '&&' or otherwise the the whole '&& Constant' is not needed.
Comment 1 Holger Freyther 2010-10-10 10:17:14 PDT
Created attachment 70408 [details]
Attempt to fix it...

The patch most likely requires fixes to the test results.
Comment 2 Martin Robinson 2010-10-13 12:03:42 PDT
This fix does not seem to change any test results which is somewhat worrying. The fix is obvious right to me, so I'm going to r+ it, but in the future it might be good to check if this code can be removed. I notice that isFixedPitch is notImplemented in Chromium.
Comment 3 Martin Robinson 2010-10-13 12:04:06 PDT
Comment on attachment 70408 [details]
Attempt to fix it...

Thanks for finding this.
Comment 4 Eric Seidel (no email) 2010-10-13 12:27:58 PDT
Attachment 70408 [details] was posted by a committer and has review+, assigning to Holger Freyther for commit.
Comment 5 Holger Freyther 2010-10-14 10:25:01 PDT
Landed in r69776.